ApiHBaseReplicationUpdatePeerStateArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseReplicationUpdatePeerStateArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseReplicationUpdatePeerStateArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseReplicationUpdatePeerStateArgs
      extends Object

  Replication arguments for HBase service enabled/disabled peer update

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseReplicationUpdatePeerStateArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `HBasePeerState` | `getPeerState()` Get peerState
    `ApiServiceRef` | `getSourceRef()` Get sourceRef
    `int` | `hashCode()`
    `ApiHBaseReplicationUpdatePeerStateArgs` | `peerState(HBasePeerState peerState)`
    `void` | `setPeerState(HBasePeerState peerState)`
    `void` | `setSourceRef(ApiServiceRef sourceRef)`
    `ApiHBaseReplicationUpdatePeerStateArgs` | `sourceRef(ApiServiceRef sourceRef)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseReplicationUpdatePeerStateArgs

          public ApiHBaseReplicationUpdatePeerStateArgs()

  - ### Method Detail

    - #### sourceRef

          public ApiHBaseReplicationUpdatePeerStateArgs sourceRef(ApiServiceRef sourceRef)

    - #### getSourceRef

          public ApiServiceRef getSourceRef()

      Get sourceRef
      Returns:
        sourceRef

    - #### setSourceRef

          public void setSourceRef(ApiServiceRef sourceRef)

    - #### peerState

          public ApiHBaseReplicationUpdatePeerStateArgs peerState(HBasePeerState peerState)

    - #### getPeerState

          public HBasePeerState getPeerState()

      Get peerState
      Returns:
        peerState

    - #### setPeerState

          public void setPeerState(HBasePeerState peerState)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.